import { createApp } from 'vue'
import './assets/style/style.css'
import './assets/style/main.scss'
import App from './App.vue'
import router from './router/index.js'
import api from './api/index.js'
import { createPinia } from 'pinia'
import * as wps from './static/web-office-sdk-v1.1.19.es.js'

const myApp = createApp(App)
myApp.config.globalProperties.$router = router
myApp.config.globalProperties.$api = api
myApp.config.globalProperties.$wps = wps
const pinia = createPinia()
myApp
  .use(router)
  .use(pinia)
  .mount('#app')
